<h1>
    <%= @wallet.owner.name %>'s Wallet
</h1>

<table class="table table-striped">
    <thead>
        <tr>
            <th>Date/Time</th>
            <th>Detail</th>
            <th>Amount (Rp)</th>
            <th>Balance (Rp)</th>
            <th>Notes</th>
        </tr>
    </thead>
    <tbody>
        <% balance = 0 %>
        <% @wallet.transactions.each do |t| %>
        <% 
            lAmount = t.type == 'Credit' ? t.amount : (t.amount * -1)
            tAmount = format_amount(lAmount)
            balance += lAmount
            tBalance = format_amount(balance)
        %>
        <tr>
            <td><%= t.created_at %></td>
            <td><%= t.detail %></td>
            <td class="text-end"><%= tAmount %></td>
            <td class="text-end"><%= tBalance %></td>
            <td><%= t.notes %></td>
        </tr>
        <% end %>
    </tbody>
</table>

<div>
    <%= link_to @wallet.owner, class: "btn btn-secondary" do %>
        <i class="fas fa-arrow-circle-left"></i>
        Back
    <% end %>
</div>
